getPrice (Allowance Holder)
getPrice (Allowance Holder)
Headers
Query parameters
The amount of sellToken in sellToken base units to sell
The address which holds the sellToken balance and has the allowance set for the swap
The address of the external account that started the transaction. This is only needed if taker is a smart contract.
The address to receive the buyToken. If not provided, defaults to the taker address. Not supported for wrap/unwrap operations.
The wallet address to receive the specified trading fees (supports single or multiple comma-separated values). You must also specify the swapFeeBps in the request to use this feature. When multiple values are provided, must match length of swapFeeBps.
The maximum trade surplus (positive slippage) that can be collected in Bps of the buy amount. If not provided, defaults to 10000 (100%). Must be used together with tradeSurplusRecipient.
The target gas price (in wei) for the swap transaction. If not provided, the default value is based on the 0x gas price oracle
The maximum acceptable slippage of the buyToken in Bps. If this parameter is set to 0, no slippage will be tolerated. If not provided, the default slippage tolerance is 100Bps
Controls how native wrap/unwrap trades are executed. direct calls the wrapped-native token contract directly. settler routes wrap/unwrap through Settler or Allowance Holder for compatibility. Ignored for non-wrap/unwrap swaps. If omitted, direct mode is used.